Imports System.EnterpriseServices

'create a queue for this application and enable it, but
'dont turn it on yet
<Assembly: ApplicationQueuing(Enabled:=True, QueueListenerEnabled:=False)> 

'interface that contains the method clients will call
Public Interface IQueued
    Sub ReceiveData(ByVal message As String)
End Interface

'mark the class for queuing, enable the queue, and list the interface
<InterfaceQueuing(True, Interface:="IQueued")> _
Public Class QueuedClass
    Inherits ServicedComponent
    Implements IQueued

    'this method is called by the queue on behalf of the client
    Public Sub ReceiveData(ByVal message As String) Implements IQueued.ReceiveData
        System.Windows.Forms.MessageBox.Show(message)
    End Sub
End Class
